//
// C++ Interface: editshortcutsdialog
//
// Description:
//
//
// Author: Alexander Volkov <support@rusbitech.ru>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef EDITSHORTCUTSDIALOG_H
#define EDITSHORTCUTSDIALOG_H

#include <QDialog>

#include <fly/flyui_export.h>

/**
    @author Alexander Volkov <support@rusbitech.ru>
*/

class QAbstractButton;
class ShortcutsModel;
class Ui_EditShortcutsDialog;

class FLYUI_EXPORT EditShortcutsDialog : public QDialog
{
    Q_OBJECT
public:
    EditShortcutsDialog(ShortcutsModel *sm, QWidget *parent = nullptr);
    ~EditShortcutsDialog();

private slots:
    void checkCurrentShortcut(const QKeySequence &defKS, const QKeySequence &ks);
    void checkEnteredKeySequence(const QKeySequence &ks);
    void disableShortcutEdit();
    void processButtonBox(QAbstractButton *button);
    void setDefaultShortcut();

    void slotAccept();
    void slotReject();

protected:
    void closeEvent(QCloseEvent *event) override;

private:
    void setChanged(bool changed);

    Ui_EditShortcutsDialog *m_ui;
    ShortcutsModel *m_shortcutsModel;
};

#endif
