#ifndef FLYDESKTOPENTRYPROPSWIDGET_H
#define FLYDESKTOPENTRYPROPSWIDGET_H

#include <QWidget>

#include <fly/flyui_export.h>

class FlyUIDesktopEntry;

class FlyDesktopEntryPropsWidgetPrivate;

class FLYUI_EXPORT FlyDesktopEntryPropsWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FlyDesktopEntryPropsWidget(QWidget *parent = nullptr);
    virtual ~FlyDesktopEntryPropsWidget();

    void setType(const QString& type, const QStringList &availableTypes = {});
    void loadFrom(const FlyUIDesktopEntry &desktopEntry);
    bool saveTo(FlyUIDesktopEntry* desktopEntry);

    void setReadOnly(bool on);
    void setShowURLInfoButton(bool on);

    void setFrameStyle(int frameStyle);

signals:
    void changed();
    void requestedURLInfo(const QString& url);

private:
    QScopedPointer<FlyDesktopEntryPropsWidgetPrivate> d_ptr;
    Q_DECLARE_PRIVATE(FlyDesktopEntryPropsWidget)
};

#endif
