#ifndef FLYMENUDLG_H
#define FLYMENUDLG_H

#include <QDialog>

#include <fly/flyui_export.h>

class QToolBar;
class QDialogButtonBox;
class QItemSelection;

class FlyMenuView;

class FLYUI_EXPORT FlyMenuDialog : public QDialog
{
    Q_OBJECT
public:

    explicit FlyMenuDialog(QWidget *parent);

    FlyMenuDialog(const QString &_mPath = QString(), int iconSize = -1,
                  bool editable = false,  bool closeButtonOnly = false,
                  QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    ~FlyMenuDialog();

    FlyMenuView *menuView()
    {
        return mview;
    }

    QString selectedItemPath();
    //construct ready to execute Exec field of selected desktop entry
    QString selectedItemExec(
        const QString &filePath = QString(),        // %f
        const QString &url = QString(),             // %u
        const QStringList *filePathList = nullptr,  // %F
        const QStringList *urlList = nullptr);      // %U

    void setAllSelectable()
    {
        allSelectable = true;
    } //enable OK button if any item selected

    QDialogButtonBox *buttonBox()
    {
        return bbox;
    }

    QToolBar *toolbar()
    {
        return editToolbar;
    }

    bool updateWM();

    QString menuDir();

public slots:
    void selChanged(const QItemSelection &selected, const QItemSelection &deselected);

    void changed(); //smth. changed

    void applySlot(); //try to apply if _mPath was one of well known fly-wm's dirs

    void helpSlot();  //just call flyHelpShow()

private:
    FlyMenuView       *mview;
    QDialogButtonBox *bbox;
    bool allSelectable;
    int flyDir;
    QToolBar *editToolbar;
};

#endif
