#ifndef FLYRADIOGROUPBOX_H
#define FLYRADIOGROUPBOX_H

#include <QGroupBox>

#include <fly/flyui_export.h>

class FLYUI_EXPORT FlyRadioGroupBox : public QGroupBox
{
    Q_OBJECT
public:
    FlyRadioGroupBox(const QString &title, QWidget *parent = nullptr);
    FlyRadioGroupBox(QWidget *parent = nullptr);
    ~FlyRadioGroupBox();

    void setChecked(bool b);

protected:
    void initStyleOption(QStyleOptionGroupBox *option)const;

    void paintEvent(QPaintEvent *event) override;
    void mousePressEvent(QMouseEvent *e) override;
    void mouseMoveEvent(QMouseEvent *e) override;
    void mouseReleaseEvent(QMouseEvent *e) override;
    void keyPressEvent(QKeyEvent *event) override;
    void keyReleaseEvent(QKeyEvent *event) override;
    bool event(QEvent *event) override;

private:
    void init();
    bool hitButtonOrLabel(const QPoint &pos) const;

    bool down;
};

#endif
