#ifndef FLYSETTINGS_H
#define FLYSETTINGS_H

#include <QString>
#include <QVariant>

#include <fly/flyui_export.h>

class QSettings;

//very limited class to work with ONE SECTION ini-file only,
//to be used with fly's current.themerc file only

class FLYUI_EXPORT FlySettings //: private QSettings
{
    //Q_OBJECT

public:
    FlySettings(const QString &configFile = QString());
    ~FlySettings();

    void  setValue(const QString &param, const QVariant &value);
    QVariant value(const QString &param, const QVariant &dValue = QVariant());
    void remove(const QString &key);

    //workaround for QSettings cache, use just after constructor not to re-use QSettings cache
    void sync(bool forceReload = false);

    bool isParsed();

private:
    bool        parsed;
    QSettings *m_QSettings;
    QString     cfgFile;
    bool ParseConfigFile(const QString &file);
};

#endif
