#ifndef FLYUIDESKTOPACTION_H
#define FLYUIDESKTOPACTION_H

#include <QStringList>
#include <QSharedDataPointer>
#include <QMetaType>

#include <fly/flyui_export.h>

class FlyDesktopAction;

class FLYUI_EXPORT FlyUIDesktopActionData : public QSharedData
{
public:
    FlyUIDesktopActionData() : desktopAction(nullptr) {}
    ~FlyUIDesktopActionData();
    FlyUIDesktopActionData(FlyDesktopAction *action) : desktopAction(action) {}
    FlyUIDesktopActionData(const QString& id);
    FlyUIDesktopActionData(const FlyUIDesktopActionData& other);

    FlyDesktopAction *desktopAction;
};

class FLYUI_EXPORT FlyUIDesktopAction
{
public:
    FlyUIDesktopAction();
    FlyUIDesktopAction(const QString& id);
    virtual ~FlyUIDesktopAction();

    QString getId() const;
    void setId(const QString &id);

    QString getName() const;
    void setName(const QString &name);

    QString getLocalName() const;
    void setLocalName(const QString &name);

    QString getIcon() const;
    void setIcon(const QString &icon);

    QString getLocalIcon() const;
    void setLocalIcon(const QString &icon);

    QString getExec() const;
    void setExec(const QString &exec);

    void setOnlyShowIn(const QStringList& onlyShowIn);
    QStringList getOnlyShowIn() const;

    void setNotShowIn(const QStringList& notShowIn);
    QStringList getNotShowIn() const;

private:
    friend class FlyUIDesktopEntry;

    FlyUIDesktopAction(FlyDesktopAction action);

    QSharedDataPointer<FlyUIDesktopActionData> d;
};

Q_DECLARE_METATYPE(FlyUIDesktopAction)

#endif // FLYUIDESKTOPACTION_H
