#ifndef FLYUIDESKTOPCONVERT_H
#define FLYUIDESKTOPCONVERT_H

#include <QString>
#include <string>
#include <vector>

inline std::string convert(const QString &str)
{
    return str.toStdString();
}

inline QString convert(const std::string &str)
{
    return QString::fromStdString(str);
}

inline std::vector<std::string> convert(const QStringList& stringList)
{
    std::vector<std::string> result;

    foreach (const QString& str, stringList)
        result.push_back(convert(str));

    return result;
}

inline QStringList convert(const std::vector<std::string> &strings)
{
    QStringList result;

    for (const std::string &str: strings)
        result.push_back(convert(str));

    return result;
}

#endif // FLYUIDESKTOPCONVERT_H
